Debian Bug report logs - #658932
adzapper: Uses perl4 corelibs without Depends

version graph

Package: adzapper; Maintainer for adzapper is Ludovic Drolez <ldrolez@debian.org>; Source for adzapper is src:adzapper.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Mon, 6 Feb 2012 20:03:13 UTC

Severity: normal

Tags: patch

Found in version adzapper/20090301.dfsg.1-0.1

Fixed in version adzapper/20090301.dfsg.1-0.2

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ludovic Drolez <ldrolez@debian.org>:
Bug#658932; Package adzapper. (Mon, 06 Feb 2012 20:03:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Ludovic Drolez <ldrolez@debian.org>. (Mon, 06 Feb 2012 20:03:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: libperlmenu-perl: Uses perl4 corelibs without Depends
Date: Mon, 6 Feb 2012 20:02:50 +0000
Package: adzapper
Version: 20090301.dfsg.1-0.1
Severity: normal
User: debian-perl@lists.debian.org
Usertags: perl4-corelibs

Dear maintainer,

Your package adzapper currently uses one or more deprecated
perl 4 era packages, as shown on the lintian report[1]:

As detailed at [2] we would like you to either add a dependency on

libperl4-corelibs-perl | perl (<< 5.12.3-7)

or (ideally) to replace their use with more modern equivalents.

If you prefer, I will NMU your package with the dependency added.

The wiki page [2] has references (taken from the source of the libraries
in question) for the recommended replacement libraries.

Thanks,
Dominic.

[1] <http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html>
[2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Changed Bug title to 'adzapper: Uses perl4 corelibs without Depends' from 'libperlmenu-perl: Uses perl4 corelibs without Depends' Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 06 Feb 2012 20:09:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ludovic Drolez <ldrolez@debian.org>:
Bug#658932; Package adzapper. (Sun, 18 Mar 2012 16:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Ludovic Drolez <ldrolez@debian.org>. (Sun, 18 Mar 2012 16:27:08 GMT) Full text and rfc822 format available.

Message #12 received at 658932@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 658917@bugs.debian.org, 658931@bugs.debian.org, 658932@bugs.debian.org, 658945@bugs.debian.org, 658949@bugs.debian.org, 659421@bugs.debian.org, 659422@bugs.debian.org, 659423@bugs.debian.org, 659424@bugs.debian.org, 659429@bugs.debian.org
Subject: Intent to NMU in the coming weeks
Date: Sun, 18 Mar 2012 16:22:11 +0000
Dear maintainer,

As I would like to get all of the Perl4::Corelibs issues sorted out
before wheezy releases, to ease the transition for perl 5.16 in
wheezy+1, I intend to file NMUs for these issues, adding the dependency

libperl4-corelibs-perl | perl (<< 5.12.3-7)

as per the lintian descriptions and wiki[1]. I will upload them to
DELAYED/10. If you plan to fix these bugs before wheezy and would prefer
that I *don'* provide an NMU for the issue in your package, just let me
know.

Thanks,
Dominic.

[1] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Ludovic Drolez <ldrolez@debian.org>:
Bug#658932; Package adzapper. (Mon, 23 Apr 2012 17:33:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Ludovic Drolez <ldrolez@debian.org>. (Mon, 23 Apr 2012 17:33:13 GMT) Full text and rfc822 format available.

Message #17 received at 658932@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 638183@bugs.debian.org, 658932@bugs.debian.org
Subject: adzapper: diff for NMU version 20090301.dfsg.1-0.2
Date: Mon, 23 Apr 2012 18:32:35 +0100
[Message part 1 (text/plain, inline)]
tags 638183 + pending
tags 658932 + patch
tags 658932 + pending
thanks

Dear maintainer,

I've prepared an NMU for adzapper (versioned as 20090301.dfsg.1-0.2) and
uploaded it to DELAYED/10. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)
[adzapper-20090301.dfsg.1-0.2-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 23 Apr 2012 17:33:15 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 23 Apr 2012 17:33:16 GMT) Full text and rfc822 format available.

Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Thu, 03 May 2012 18:18:41 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Thu, 03 May 2012 18:18:42 GMT) Full text and rfc822 format available.

Message #26 received at 658932-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 658932-close@bugs.debian.org
Subject: Bug#658932: fixed in adzapper 20090301.dfsg.1-0.2
Date: Thu, 03 May 2012 18:17:12 +0000
Source: adzapper
Source-Version: 20090301.dfsg.1-0.2

We believe that the bug you reported is fixed in the latest version of
adzapper, which is due to be installed in the Debian FTP archive:

adzapper_20090301.dfsg.1-0.2.diff.gz
  to main/a/adzapper/adzapper_20090301.dfsg.1-0.2.diff.gz
adzapper_20090301.dfsg.1-0.2.dsc
  to main/a/adzapper/adzapper_20090301.dfsg.1-0.2.dsc
adzapper_20090301.dfsg.1-0.2_all.deb
  to main/a/adzapper/adzapper_20090301.dfsg.1-0.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658932@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated adzapper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 23 Apr 2012 18:29:41 +0100
Source: adzapper
Binary: adzapper
Architecture: source all
Version: 20090301.dfsg.1-0.2
Distribution: unstable
Urgency: low
Maintainer: Ludovic Drolez <ldrolez@debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 adzapper   - proxy advertisement zapper add-on
Closes: 638183 658932
Changes: 
 adzapper (20090301.dfsg.1-0.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add Depends on libperl4-corelibs-perl (Closes: #658932)
   * Correct watch file to work with versions from this decade
     (Closes: #638183)
Checksums-Sha1: 
 98d7cd0abf8ead35220ec1ca6ed148839547fb13 1104 adzapper_20090301.dfsg.1-0.2.dsc
 e01dace9785d9216d53a6da092fe080cd84c861c 1132 adzapper_20090301.dfsg.1-0.2.diff.gz
 ca2e00d51c0ad5e324293bc386d77fff088cab10 67264 adzapper_20090301.dfsg.1-0.2_all.deb
Checksums-Sha256: 
 52b74c4efa51f4c53ab3a45a2f6a084fc30d1652614a89c991dbe788d7c171c8 1104 adzapper_20090301.dfsg.1-0.2.dsc
 13007c7bc7d5d2bf589c14635a961b844dffc4695f41061173ff680857369819 1132 adzapper_20090301.dfsg.1-0.2.diff.gz
 a1e7b7e6c94e91c6f6bb1fb1e132ba5a5ad3a2819aa6a5e7e116ee8e038fc8ba 67264 adzapper_20090301.dfsg.1-0.2_all.deb
Files: 
 a484fd6a120d1ebcf4a64ba99546865a 1104 web optional adzapper_20090301.dfsg.1-0.2.dsc
 0f2ebad0366ae98cd7803496542ddb8b 1132 web optional adzapper_20090301.dfsg.1-0.2.diff.gz
 7394239bc8263c1c7dc2522c0caac933 67264 web optional adzapper_20090301.dfsg.1-0.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPlZG5YzuFKFF44qURAqQZAJ0Yr58ojfsDmSTy+JspHeGXrOTGgQCgqyDF
wYuBmptbvIQ+XNaWOQSh5dc=
=m0sp
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Jun 2012 07:42:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:21:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.